(in-package :TOOLDESIGNER)     
(use-package '(:oli :frame2 :uib))      
    

;----------------------------------------------------
; ToolDesigner Release 1.0 
;
; Copyright 1998 Hewlett-Packard Company Inkjet Supplies Business Unit.  
;
; All Rights Reserved.
;
; ToolDesigner 1.0 is a tooling extensions application for SolidDesigner which 
; automates many common tasks performed by tooling designers. 
;
; ToolDesigner 1.0 was written by Louis Barinaga of HP. 
; 541-715-1786
; louis_barinaga@hp.com
;
;----------------------------------------------------



;  ************ Installation *****************
;  Replace the letters "PathToToolDesignerDirectory" in the following
;  line in order prepare ToolDesigner for use.  For example, if the ToolDesigner
;  directory is on the C:\ drive, replace the letters with "c:".  That's all
;  there is to it!
;  *******************************************

;  Example:
;  If your ToolDesigner directory was c:\macros\ToolDesigner, then the path line would look like:
;  (setf UsersToolDesignerDirectory "c:/macros/")


;  Input your path on the following line:

(setf UsersToolDesignerDirectory "PathToToolDesignerDirectory/")




;  Do not make any changes to the following lines:

(load (format nil "~aToolDesigner/TD_r1_m1_60.dll" UsersToolDesignerDirectory))
(load (format nil "~aToolDesigner/TD_r1_m2_60.dll" UsersToolDesignerDirectory))
(load (format nil "~aToolDesigner/TD_r1_m3_60.dll" UsersToolDesignerDirectory))


;*******************************

;fix for SD60 display table bug

(event::subscribe-event 'event::*update-units-display-event*
#'oli::display-table-units-changed-event)

